ByCloud Docs
GuidesCLIAPISDK
get/v1/iam/invitations

List invitations

List all pending invitations for the current organization. Invitations are created automatically when adding a user via POST /v1/iam/users if the user doesn't exist or isn't already a member.

Query Parameters

limit

integeroptional

query

Maximum number of items to return

Default: 20

Example: 20

marker

string<uuid>optional

query

ID of the last item from the previous page (for pagination)

Example: "550e8400-e29b-41d4-a716-446655440000"

status

stringoptional

query

Filter by invitation status

Enum: "pending", "expired"

Responses

200

List of invitations

Content-Type: application/json

invitations

arrayoptional

meta

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
403

Insufficient permissions

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/iam/invitations" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of invitations

{
"invitations": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "jane.doe@example.com",
"groups": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "string"
}
],
"invited_by": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "string",
"email": "user@example.com"
},
"status": "pending",
"expires_at": "2024-01-15T10:30:00Z",
"created_at": "2024-01-15T10:30:00Z"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
}
}